### Constructor

# ICalGLib VcardParameter new_from_value_string

since: 4.0

#### Declaration [src]

    ICalVcardParameter*
    i_cal_vcard_parameter_new_from_value_string (
      ICalVcardParameterKind kind,
      const gchar* value
    )

#### Description [src]

Creates a new `ICalVcardParameter` of `kind` and `value`.

Available since: 4.0

#### Parameters

`kind`

  Type: `ICalVcardParameterKind`

  The kind of `ICalVcardParameter` to be created.

`value`

  Type: `const gchar*`

  The string value of the parameter.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ICalVcardParameter`

The newly created `ICalVcardParameter`.

The caller of the function takes ownership of the data, and is responsible for freeing it.